Unable to build lttng module with 5.0 kernels

Bug #1826846 reported by Po-Hsu Lin on 2019-04-29
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Unassigned
lttng-modules (Ubuntu)
Status tracked in Eoan
Bionic
Undecided
Connor Kuehl
Disco
Undecided
Unassigned
Eoan
Medium
Unassigned

Bug Description

For SRU:

[Impact]

 * The DKMS package fails to install on 5.0 kernels.

[Test Case]

 * Install the 'lttng-modules-dkms' package. "sudo apt install lttng-modules-dkms"

 * Expected result: installation succeeds without any errors

 * Actual result: installation fails due to compilation errors

[Testing]

I performed this test in an amd64 environment for both a 4.15 and 5.0 kernel.

- Create a Bionic 18.04 VM
- Enable the "-proposed" repository and install the 'linux-generic-hwe-18.04-edge' package - OR - download and install the required .debs from here: https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa/+packages?field.name_filter=linux-hwe-edge&field.status_filter=published&field.series_filter=bionic
- Try to install the package and confirm it fails: "sudo apt install lttng-modules-dkms"
- Remove the failed installation: "sudo apt remove lttng-modules-dkms"
- Pull the sources for this package: "pull-lp-source lttng-modules bionic"
- Apply the proposed debdiff with "debdiff-apply < path-to-file.debdiff"
- Build the package: "debuild -b -uc -us"
- Install the package produced in the previous step: "sudo dpkg --install path-to-package.deb"
- Verify installation completed successfully. You can also check the module status with "sudo dkms status"

[Regression Potential]

 * Low. The changes imposed by these patches are conditionally compiled based on the kernel number.

Original bug description follows:
---

The lttng DKMS module failed to build on Bionic 5.0.0 kernel:

'cat /var/lib/dkms/lttng-modules/*/build/make.log'
 DKMS make.log for lttng-modules-2.10.5 for kernel 5.0.0-13-generic (x86_64)
 Thu Apr 25 14:10:29 UTC 2019
 make: Entering directory '/usr/src/linux-headers-5.0.0-13-generic'
 CC [M] /var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client-discard.o
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/Kbuild:41: File ./arch/x86/kvm/lapic.h not found. Probe "kvm" x86-specific is disabled. Use full kernel source tree to enable it.
 CC [M] /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/ring_buffer_backend.o
 CC [M] /var/lib/dkms/lttng-modules/2.10.5/build/tests/probes/lttng-test.o
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/Kbuild:166: Files ./fs/btrfs/*.h not found. Probe "btrfs" is disabled. Use full kernel source tree to enable it.
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/Kbuild:182: Files ./fs/ext4/*.h not found. Probe "ext4" is disabled. Use full kernel source tree to enable it.
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/Kbuild:215: File ./drivers/base/regmap/trace.h not found. Probe "regmap" is disabled. Need Linux 4.1+ kernel source tree to enable it.
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/Kbuild:265: Files ./kernel/trace/trace.h not found. Probe "ftrace" is disabled. Use full kernel source tree to enable it.
 CC [M] /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-sched.o
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/lib/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/ring_buffer_backend.c:34:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h:305:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/ring_buffer_backend.c:22:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h:305:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h:305:16: note: each undeclared identifier is reported only once for each function it appears in
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/lib/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/ring_buffer_backend.c:34:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_strcpy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h:375:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/ring_buffer_backend.c:22:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h:375:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/lib/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/ring_buffer_backend.c:34:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_check_nofault’:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h:465:38: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (!access_ok(VERIFY_READ, src, len))
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/../lib/ringbuffer/backend.h:465:7: error: ‘access_ok’ undeclared (first use in this function)
 if (!access_ok(VERIFY_READ, src, len))
 ^~~~~~~~~
 scripts/Makefile.build:284: recipe for target '/var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/ring_buffer_backend.o' failed
 make[2]: *** [/var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/ring_buffer_backend.o] Error 1
 scripts/Makefile.build:515: recipe for target '/var/lib/dkms/lttng-modules/2.10.5/build/lib' failed
 make[1]: *** [/var/lib/dkms/lttng-modules/2.10.5/build/lib] Error 2
 make[1]: *** Waiting for unfinished jobs....
 CC [M] /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-irq.o
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/api.h:26,
 from /var/lib/dkms/lttng-modules/2.10.5/build/wrapper/ringbuffer/api.h:1,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client.h:180,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client-discard.c:29:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h:305:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client-discard.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h:305:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h:305:16: note: each undeclared identifier is reported only once for each function it appears in
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/api.h:26,
 from /var/lib/dkms/lttng-modules/2.10.5/build/wrapper/ringbuffer/api.h:1,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client.h:180,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client-discard.c:29:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_strcpy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h:375:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client-discard.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h:375:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/api.h:26,
 from /var/lib/dkms/lttng-modules/2.10.5/build/wrapper/ringbuffer/api.h:1,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client.h:180,
 from /var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client-discard.c:29:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_check_nofault’:
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h:465:38: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (!access_ok(VERIFY_READ, src, len))
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/lib/ringbuffer/backend.h:465:7: error: ‘access_ok’ undeclared (first use in this function)
 if (!access_ok(VERIFY_READ, src, len))
 ^~~~~~~~~
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../instrumentation/events/lttng-module/lttng-test.h:54,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/probes/lttng-test.c:39:
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h:305:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/init.h:5:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/probes/lttng-test.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h:305:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h:305:16: note: each undeclared identifier is reported only once for each function it appears in
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../instrumentation/events/lttng-module/lttng-test.h:54,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/probes/lttng-test.c:39:
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_strcpy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h:375:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/init.h:5:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/probes/lttng-test.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h:375:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/../instrumentation/events/lttng-module/lttng-test.h:54,
 from /var/lib/dkms/lttng-modules/2.10.5/build/tests/probes/lttng-test.c:39:
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_check_nofault’:
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h:465:38: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (!access_ok(VERIFY_READ, src, len))
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/tests/../lib/ringbuffer/backend.h:465:7: error: ‘access_ok’ undeclared (first use in this function)
 if (!access_ok(VERIFY_READ, src, len))
 ^~~~~~~~~
 scripts/Makefile.build:291: recipe for target '/var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client-discard.o' failed
 make[1]: *** [/var/lib/dkms/lttng-modules/2.10.5/build/lttng-ring-buffer-client-discard.o] Error 1
 CC [M] /var/lib/dkms/lttng-modules/2.10.5/build/tests/clock-plugin/lttng-clock-plugin-test.o
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../instrumentation/events/lttng-module/sched.h:599,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-sched.c:41:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:305:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-sched.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:305:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:305:16: note: each undeclared identifier is reported only once for each function it appears in
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../instrumentation/events/lttng-module/sched.h:599,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-sched.c:41:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_strcpy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:375:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-sched.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:375:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../instrumentation/events/lttng-module/sched.h:599,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-sched.c:41:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_check_nofault’:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:465:38: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (!access_ok(VERIFY_READ, src, len))
 ^
 scripts/Makefile.build:284: recipe for target '/var/lib/dkms/lttng-modules/2.10.5/build/tests/probes/lttng-test.o' failed
 make[2]: *** [/var/lib/dkms/lttng-modules/2.10.5/build/tests/probes/lttng-test.o] Error 1
 make[2]: *** Waiting for unfinished jobs....
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:465:7: error: ‘access_ok’ undeclared (first use in this function)
 if (!access_ok(VERIFY_READ, src, len))
 ^~~~~~~~~
 CC [M] /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-timer.o
 scripts/Makefile.build:291: recipe for target '/var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-sched.o' failed
 make[2]: *** [/var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-sched.o] Error 1
 make[2]: *** Waiting for unfinished jobs....
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../instrumentation/events/lttng-module/irq.h:189,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-irq.c:42:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:305:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-irq.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:305:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:305:16: note: each undeclared identifier is reported only once for each function it appears in
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../instrumentation/events/lttng-module/irq.h:189,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-irq.c:42:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_strcpy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:375:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-irq.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:375:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../instrumentation/events/lttng-module/irq.h:189,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-irq.c:42:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_check_nofault’:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:465:38: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (!access_ok(VERIFY_READ, src, len))
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:465:7: error: ‘access_ok’ undeclared (first use in this function)
 if (!access_ok(VERIFY_READ, src, len))
 ^~~~~~~~~
 scripts/Makefile.build:515: recipe for target '/var/lib/dkms/lttng-modules/2.10.5/build/tests' failed
 make[1]: *** [/var/lib/dkms/lttng-modules/2.10.5/build/tests] Error 2
 scripts/Makefile.build:291: recipe for target '/var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-irq.o' failed
 make[2]: *** [/var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-irq.o] Error 1
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../instrumentation/events/lttng-module/timer.h:354,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-timer.c:43:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:305:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-timer.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:305:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:305:16: note: each undeclared identifier is reported only once for each function it appears in
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../instrumentation/events/lttng-module/timer.h:354,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-timer.c:43:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_strcpy_from_user_inatomic’:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:375:48: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 In file included from ./include/linux/export.h:45:0,
 from ./include/linux/linkage.h:7,
 from ./include/linux/kernel.h:7,
 from ./include/linux/list.h:9,
 from ./include/linux/module.h:9,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-timer.c:23:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:375:16: error: ‘access_ok’ undeclared (first use in this function)
 if (unlikely(!access_ok(VERIFY_READ, src, len)))
 ^
 ./include/linux/compiler.h:77:42: note: in definition of macro ‘unlikely’
 # define unlikely(x) __builtin_expect(!!(x), 0)
 ^
 In file included from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../wrapper/ringbuffer/backend.h:1:0,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/lttng-tracepoint-event-impl.h:33,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../probes/define_trace.h:100,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/../instrumentation/events/lttng-module/timer.h:354,
 from /var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-timer.c:43:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h: In function ‘lib_ring_buffer_copy_from_user_check_nofault’:
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:465:38: error: macro "access_ok" passed 3 arguments, but takes just 2
 if (!access_ok(VERIFY_READ, src, len))
 ^
 /var/lib/dkms/lttng-modules/2.10.5/build/probes/../lib/ringbuffer/backend.h:465:7: error: ‘access_ok’ undeclared (first use in this function)
 if (!access_ok(VERIFY_READ, src, len))
 ^~~~~~~~~
 scripts/Makefile.build:291: recipe for target '/var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-timer.o' failed
 make[2]: *** [/var/lib/dkms/lttng-modules/2.10.5/build/probes/lttng-probe-timer.o] Error 1
 scripts/Makefile.build:515: recipe for target '/var/lib/dkms/lttng-modules/2.10.5/build/probes' failed
 make[1]: *** [/var/lib/dkms/lttng-modules/2.10.5/build/probes] Error 2
 Makefile:1584: recipe for target '_module_/var/lib/dkms/lttng-modules/2.10.5/build' failed
 make: *** [_module_/var/lib/dkms/lttng-modules/2.10.5/build] Error 2
 make: Leaving directory '/usr/src/linux-headers-5.0.0-13-generic'

Po-Hsu Lin (cypressyew) on 2019-04-29
summary: - Unable to build lttng module on 5.0.0-13.14~18.04.2 linux-hwe-edge
+ Unable to build lttng module with 5.0.0-13.14~18.04.2 linux-hwe-edge
kernel

.debdiff attached to this comment. Adding SRU paperwork to original bug description.

description: updated
Changed in lttng-modules (Ubuntu):
status: New → In Progress
assignee: nobody → Connor Kuehl (connork)

The attachment "lttng-modules_2.10.5-1ubuntu1.3.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Changed in lttng-modules (Ubuntu):
importance: Undecided → Medium
no longer affects: linux-hwe-edge (Ubuntu)
Sean Feole (sfeole) wrote :

Affects linux-oem-osp1 5.0.0-1008.9

tags: added: linux-hwe-edge
tags: added: linux-oem-osp1
Changed in ubuntu-kernel-tests:
status: New → Confirmed
summary: - Unable to build lttng module with 5.0.0-13.14~18.04.2 linux-hwe-edge
- kernel
+ Unable to build lttng module with 5.0 kernels
Sean Feole (sfeole) wrote :

This has trickled into Eoan as expected, 5.2.0-4.5-generic Eoan.

  Building for 5.2.0-4-generic
  Building initial module for 5.2.0-4-generic
  ERROR (dkms apport): kernel package linux-headers-5.2.0-4-generic is not supported
  Error! Bad return status for module build on kernel: 5.2.0-4-generic (x86_64)
  Consult /var/lib/dkms/lttng-modules/2.10.8/build/make.log for more information.
  dpkg: error processing package lttng-modules-dkms (--configure):
   installed lttng-modules-dkms package post-installation script subprocess returned error exit status 10
  Setting up uuid-dev:amd64 (2.33.1-0.1ubuntu2) ...
  Setting up g++-8 (8.3.0-13ubuntu1) ...
  Setting up libx32gcc-8-dev (8.3.0-13ubuntu1) ...

tags: added: amd64 eoan linux-generic sru-20190603
Po-Hsu Lin (cypressyew) on 2019-07-22
tags: added: disco
tags: added: 5.0 ubuntu-lttng-smoke-test
removed: disco
Po-Hsu Lin (cypressyew) on 2019-07-23
tags: added: gke
Po-Hsu Lin (cypressyew) wrote :

Test passed with D-AWS.

Sean Feole (sfeole) on 2019-08-09
tags: added: sru
tags: added: sru-20190722
Po-Hsu Lin (cypressyew) wrote :

Passed with D-azure, but still failing with B-hwe Azure

tags: added: azure
Tyler Hicks (tyhicks) on 2019-08-20
Changed in lttng-modules (Ubuntu Disco):
status: New → Fix Released
Changed in lttng-modules (Ubuntu Eoan):
status: In Progress → Invalid
assignee: Connor Kuehl (connork) → nobody
Changed in lttng-modules (Ubuntu Bionic):
status: New → In Progress
assignee: nobody → Connor Kuehl (connork)

Hello Po-Hsu, or anyone else affected,

Accepted lttng-modules into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lttng-modules/2.10.5-1ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in lttng-modules (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Connor Kuehl (connork) wrote :

I can confirm the package in proposed builds properly on 4.15 and 5.0 kernels and successfully installs:

ubuntu@amd64-bionic:~$ sudo dkms status
lttng-modules, 2.10.5, 4.15.0-58-generic, x86_64: installed
lttng-modules, 2.10.5, 5.0.0-25-generic, x86_64: installed

Adjusting tag.

tags: added: verification-done-bionic
removed: verification-needed-bionic
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments